#
# spec file for package cinnamon-screensaver
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cinnamon-screensaver
Version:        3.0.1
Release:        1.2
Summary:        Cinnamon screensaver and locker
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/cinnamon-screensaver
Source:         https://github.com/linuxmint/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.pam
# PATCH-FIX-OPENSUSE cinnamon-screensaver-xscreensaver-path.patch boo#960165 sor.alexei@meowr.ru -- Correct xscreensaver hacks path.
Patch0:         %{name}-xscreensaver-path.patch
BuildRequires:  gnome-common
BuildRequires:  pam-devel
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  xmlto
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libgnomekbdui)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xxf86misc)
BuildRequires:  pkgconfig(xxf86vm)
Requires:       /sbin/unix2_chkpwd
Requires:       adwaita-icon-theme
Requires:       dbus-1-x11
Requires:       libcinnamon-desktop-data
Recommends:     cinnamon-common
Recommends:     cinnamon-translations
Recommends:     gnome-keyring-pam
Recommends:     gnome-power-manager
Recommends:     xscreensaver-data
Suggests:       xscreensaver-data-extra

%description
cinnamon-screensaver is a screensaver and locker that aims to have
simple, sane and secure defaults, and be well integrated with the
Cinnamon Desktop.

%prep
%setup -q
%patch0 -p1

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
  --disable-static          \
  --disable-schemas-compile \
  --with-mit-ext            \
  --with-xf86gamma-ext      \
  --enable-locking          \
  --enable-docbook-docs
make %{?_smp_mflags}

%install
%make_install
install -Dm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}

%suse_update_desktop_file %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README debian/changelog
%config %{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-command
%{_libexecdir}/%{name}-dialog
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man?/%{name}*.?%{?ext_man}
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service

%changelog
* Wed Jun  1 2016 sor.alexei@meowr.ru
- Update to version 3.0.1:
  * gs-lock-plug: Remove the hardcoded text colours.
  * Fix unlock dialog display in hidpi.
  * gs-window-x11.c: Fix a couple of compiler warnings.
  * gs-lock-plug.c: Look at AccountsService for user pic if .face
    is not found. Simplify some of the code – pixbuf loaders have
    built-in file checking.
* Mon Apr 25 2016 sor.alexei@meowr.ru
- Update to version 3.0.0:
  * configure.ac: Drop obsolete macro.
  * configure.ac: Use dots when printing dbus version.
  * Support new libsystemd (which replaces libsystemd-login).
  * Stop trying to make gnome-screensaver* a symlink to
    cinnamon-screensaver*.
* Thu Dec 24 2015 sor.alexei@meowr.ru
- Add cinnamon-screensaver-xscreensaver-path.patch: fix
  xscreensaver hacks path (boo#960165).
- Recommend xscreensaver-data instead of depending.
- Suggest xscreensaver-data-extra.
* Tue Oct 20 2015 sor.alexei@meowr.ru
- Update to 2.8.0:
  * Replace deprecated gdk_cursor_unref() with g_object_unref().
  * Cleanup an unused variable.
  * gs-window-x11.c: Fix random crashing due to accessing invalid
    pointers when cleaning up the GSWindow instance.
  * gs-window-x11.c: Fix trying to control the screensaver socket
    after the plug has been removed (race condition) – by default
    the socket is destroyed when this happens.
  * gs-lock-plug.c: fix runtime warning.
- Correct licence to GPL-2.0+.
* Mon Aug 10 2015 i@marguerite.su
- update version 2.6.4
  * fix segfault due to wrong object being destroyed
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.3
* Thu Apr 23 2015 stefan@fam-elser.de
- update to version 2.4.2
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.0
* Mon Jul 14 2014 i@marguerite.su
- update version 2.3.0
  * Fixed buttons overlapping each others in Russian and
    other languages
  * Wrap away message and don't let it touch the borders
    of its parent box
* Mon May 19 2014 stefan@fam-elser.de
- update version 2.2.3
* Thu May  1 2014 i@marguerite.su
- update version 2.2.1
* Thu Apr 17 2014 i@marguerite.su
- update version 2.2.0
* Sat Oct 26 2013 i@marguerite.su
- copypac from home:cyberorg:cinnamon
- cleanup
- update version 2.0.3
  * Use 12H clock format
* Wed Oct 23 2013 stefan@fam-elser.de
- Updated to version 2.0.2
* Mon Oct 21 2013 stefan@fam-elser.de
- Updated to version 2.0.1
* Fri Oct  4 2013 stefan@fam-elser.de
- Updated to version 2.0.0
